[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.AnchorSide

Array of anchor definitions, indexed by the control sides.

## Declaration

Source position: controls.pp line 1788

`public property TControl.AnchorSide[Kind: TAnchorKind] : TAnchorSide read GetAnchorSide;`

## Description

Valid anchor definitions are flagged in Anchors.

AnchorSide specifies how a side is anchored to other controls (siblings or Parent).

Various AnchorAs and AnchorTo methods simplify the establishment of anchors.

## See also

TAnchorSide |  | Specifies how the side of a control is anchored to other controls.
TControl.AnchorAsAlign |  | Anchor to the Parent using the Align value for the control.
TControl.AnchorToNeighbour |  | Anchor to Sibling at Side.